<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Configuration<br/>
<small>
[<a class="el" href="group__internal.html">Implementation</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Modules</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html">HTML output</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html">Internationalization</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga2fd21c11b4e3878c82bc65af39fd40ba">CASClient::getServerVersion</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga40298cacb4ec16a66e9579126f72a2c9">CASClient::getServerHostname</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gae39e257df8278aedc313782b8ec4f087">CASClient::getServerPort</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga5ddf106ed3c6fb584f41f30cff8efae9">CASClient::getServerURI</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga99aa47964b7447d75deca1cf2c873377">CASClient::getServerBaseURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga76fb40e15004b31d85522ba641e7b842">CASClient::getServerLoginURL</a> ($gateway=false, $renew=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga4ce0ed78f2a774c4c8e93f6967a5a7a4">CASClient::setServerLoginURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga9bbd5b923772625ee3fc23ef07a641d3">CASClient::getServerServiceValidateURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga900e70b93d8aa16bccd11de19c9322f6">CASClient::getServerProxyValidateURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga9062a1ea9866c4c1e5a485c0d4ee0f80">CASClient::getServerProxyURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gae5b55ff9a82586d2b85181de1e4dba78">CASClient::getServerLogoutURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gabdc96864e422fab32d2f4412749f5239">CASClient::setServerLogoutURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gabdec9c2ebe0befd2f9362e739caa1942">CASClient::setExtraCurlOption</a> ($key, $value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga38aaa519cdc07340eccf41333cd45975">CASClient::isHttps</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga8835a61f1bd234295466079e8b3c83af">CASClient::CASClient</a> ($server_version, $proxy, $server_hostname, $server_port, $server_uri, $start_session=true)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga8ecf31d278a963de084af52286ebc530">CASClient::$_server</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gae0fc1b5849a4ddda6d2ac184ac609a26">CASClient::$_curl_options</a> = array()</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga8835a61f1bd234295466079e8b3c83af"></a><!-- doxytag: member="CASClient::CASClient" ref="ga8835a61f1bd234295466079e8b3c83af" args="($server_version, $proxy, $server_hostname, $server_port, $server_uri, $start_session=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::CASClient </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_version</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>proxy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_hostname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_uri</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>start_session</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="class_c_a_s_client.html">CASClient</a> constructor.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$server_version</em>&nbsp;</td><td>the version of the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$proxy</em>&nbsp;</td><td>TRUE if the CAS client is a CAS proxy, FALSE otherwise </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_hostname</em>&nbsp;</td><td>the hostname of the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_port</em>&nbsp;</td><td>the port the CAS server is running on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_uri</em>&nbsp;</td><td>the URI the CAS server is responding on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$start_session</em>&nbsp;</td><td>Have <a class="el" href="classphp_c_a_s.html">phpCAS</a> start PHP sessions (default true)</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>a newly created <a class="el" href="class_c_a_s_client.html">CASClient</a> object </dd></dl>

</div>
</div>
<a class="anchor" id="ga99aa47964b7447d75deca1cf2c873377"></a><!-- doxytag: member="CASClient::getServerBaseURL" ref="ga99aa47964b7447d75deca1cf2c873377" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerBaseURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the base URL of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a URL. </dd></dl>

</div>
</div>
<a class="anchor" id="ga40298cacb4ec16a66e9579126f72a2c9"></a><!-- doxytag: member="CASClient::getServerHostname" ref="ga40298cacb4ec16a66e9579126f72a2c9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerHostname </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the hostname of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the hostname of the CAS server. </dd></dl>

</div>
</div>
<a class="anchor" id="ga76fb40e15004b31d85522ba641e7b842"></a><!-- doxytag: member="CASClient::getServerLoginURL" ref="ga76fb40e15004b31d85522ba641e7b842" args="($gateway=false, $renew=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerLoginURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>gateway</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>renew</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the login URL of the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$gateway</em>&nbsp;</td><td>true to check <a class="el" href="classauthentication.html">authentication</a>, false to force it </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$renew</em>&nbsp;</td><td>true to force the <a class="el" href="classauthentication.html">authentication</a> with the CAS server NOTE : It is recommended that CAS implementations ignore the "gateway" parameter if "renew" is set </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>a URL. </dd></dl>

</div>
</div>
<a class="anchor" id="gae5b55ff9a82586d2b85181de1e4dba78"></a><!-- doxytag: member="CASClient::getServerLogoutURL" ref="gae5b55ff9a82586d2b85181de1e4dba78" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerLogoutURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the logout URL of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a URL. </dd></dl>

</div>
</div>
<a class="anchor" id="gae39e257df8278aedc313782b8ec4f087"></a><!-- doxytag: member="CASClient::getServerPort" ref="gae39e257df8278aedc313782b8ec4f087" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerPort </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the port of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the port of the CAS server. </dd></dl>

</div>
</div>
<a class="anchor" id="ga9062a1ea9866c4c1e5a485c0d4ee0f80"></a><!-- doxytag: member="CASClient::getServerProxyURL" ref="ga9062a1ea9866c4c1e5a485c0d4ee0f80" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerProxyURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the proxy URL of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a URL. </dd></dl>

</div>
</div>
<a class="anchor" id="ga900e70b93d8aa16bccd11de19c9322f6"></a><!-- doxytag: member="CASClient::getServerProxyValidateURL" ref="ga900e70b93d8aa16bccd11de19c9322f6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerProxyValidateURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the proxy validating URL of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a URL. </dd></dl>

</div>
</div>
<a class="anchor" id="ga9bbd5b923772625ee3fc23ef07a641d3"></a><!-- doxytag: member="CASClient::getServerServiceValidateURL" ref="ga9bbd5b923772625ee3fc23ef07a641d3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerServiceValidateURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the service validating URL of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a URL. </dd></dl>

</div>
</div>
<a class="anchor" id="ga5ddf106ed3c6fb584f41f30cff8efae9"></a><!-- doxytag: member="CASClient::getServerURI" ref="ga5ddf106ed3c6fb584f41f30cff8efae9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerURI </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the URI of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a URI. </dd></dl>

</div>
</div>
<a class="anchor" id="ga2fd21c11b4e3878c82bc65af39fd40ba"></a><!-- doxytag: member="CASClient::getServerVersion" ref="ga2fd21c11b4e3878c82bc65af39fd40ba" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getServerVersion </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to retrieve the version of the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the version of the CAS server. </dd></dl>

</div>
</div>
<a class="anchor" id="ga38aaa519cdc07340eccf41333cd45975"></a><!-- doxytag: member="CASClient::isHttps" ref="ga38aaa519cdc07340eccf41333cd45975" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::isHttps </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method checks to see if the request is secured via HTTPS </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if https, false otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="gabdec9c2ebe0befd2f9362e739caa1942"></a><!-- doxytag: member="CASClient::setExtraCurlOption" ref="gabdec9c2ebe0befd2f9362e739caa1942" args="($key, $value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setExtraCurlOption </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to set additional user curl options. </p>

</div>
</div>
<a class="anchor" id="ga4ce0ed78f2a774c4c8e93f6967a5a7a4"></a><!-- doxytag: member="CASClient::setServerLoginURL" ref="ga4ce0ed78f2a774c4c8e93f6967a5a7a4" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setServerLoginURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method sets the login URL of the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>the login URL</td></tr>
  </table>
  </dd>
</dl>
<dl class="since"><dt><b>Since:</b></dt><dd>0.4.21 by Wyman Chan </dd></dl>

</div>
</div>
<a class="anchor" id="gabdc96864e422fab32d2f4412749f5239"></a><!-- doxytag: member="CASClient::setServerLogoutURL" ref="gabdc96864e422fab32d2f4412749f5239" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setServerLogoutURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method sets the logout URL of the CAS server. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$url</em>&nbsp;</td><td>the logout URL</td></tr>
  </table>
  </dd>
</dl>
<dl class="since"><dt><b>Since:</b></dt><dd>0.4.21 by Wyman Chan </dd></dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gae0fc1b5849a4ddda6d2ac184ac609a26"></a><!-- doxytag: member="CASClient::$_curl_options" ref="gae0fc1b5849a4ddda6d2ac184ac609a26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_curl_options = array()<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>An array to store extra curl options. </p>

</div>
</div>
<a class="anchor" id="ga8ecf31d278a963de084af52286ebc530"></a><!-- doxytag: member="CASClient::$_server" ref="ga8ecf31d278a963de084af52286ebc530" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_server<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>a record to store information about the CAS server.</p>
<ul>
<li>$_server["version"]: the version of the CAS server</li>
<li>$_server["hostname"]: the hostname of the CAS server</li>
<li>$_server["port"]: the port the CAS server is running on</li>
<li>$_server["uri"]: the base URI the CAS server is responding on</li>
<li>$_server["base_url"]: the base URL of the CAS server</li>
<li>$_server["login_url"]: the login URL of the CAS server</li>
<li>$_server["service_validate_url"]: the service validating URL of the CAS server</li>
<li>$_server["proxy_url"]: the proxy URL of the CAS server</li>
<li>$_server["proxy_validate_url"]: the proxy validating URL of the CAS server</li>
<li>$_server["logout_url"]: the logout URL of the CAS server</li>
</ul>
<p>$_server["version"], $_server["hostname"], $_server["port"] and $_server["uri"] are written by <a class="el" href="group__internal_config.html#ga8835a61f1bd234295466079e8b3c83af">CASClient::CASClient()</a>, read by <a class="el" href="group__internal_config.html#ga2fd21c11b4e3878c82bc65af39fd40ba">CASClient::getServerVersion()</a>, <a class="el" href="group__internal_config.html#ga40298cacb4ec16a66e9579126f72a2c9">CASClient::getServerHostname()</a>, <a class="el" href="group__internal_config.html#gae39e257df8278aedc313782b8ec4f087">CASClient::getServerPort()</a> and <a class="el" href="group__internal_config.html#ga5ddf106ed3c6fb584f41f30cff8efae9">CASClient::getServerURI()</a>.</p>
<p>The other fields are written and read by <a class="el" href="group__internal_config.html#ga99aa47964b7447d75deca1cf2c873377">CASClient::getServerBaseURL()</a>, <a class="el" href="group__internal_config.html#ga76fb40e15004b31d85522ba641e7b842">CASClient::getServerLoginURL()</a>, <a class="el" href="group__internal_config.html#ga9bbd5b923772625ee3fc23ef07a641d3">CASClient::getServerServiceValidateURL()</a>, <a class="el" href="group__internal_config.html#ga900e70b93d8aa16bccd11de19c9322f6">CASClient::getServerProxyValidateURL()</a> and <a class="el" href="group__internal_config.html#gae5b55ff9a82586d2b85181de1e4dba78">CASClient::getServerLogoutURL()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
